> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Slashings cohort analysis

This endpoint returns the frequency of slashing incidents for validators, grouped by different operator cohort sizes, from solo to professional operators with more than 5,000 validator keys. The cohorts are mapped against different time periods ranging from 6 months to all time.


## OpenAPI

````yaml get /v0/eth/slashings/cohortAnalysis
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v0/eth/slashings/cohortAnalysis:
    get:
      tags:
        - Slashings
      summary: Get Slashing Cohort Analysis
      operationId: get_slashing_cohort_analysis_v0_eth_slashings_cohortAnalysis_get
      parameters:
        - name: X-Rated-Network
          in: header
          required: false
          schema:
            $ref: '#/components/schemas/Network'
            default: mainnet
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SlashingCohortAnalysis'
                title: >-
                  Response Get Slashing Cohort Analysis V0 Eth Slashings
                  Cohortanalysis Get
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    Network:
      type: string
      enum:
        - mainnet
        - hoodi
        - holesky
      title: Network
    SlashingCohortAnalysis:
      properties:
        cohort:
          type: string
          title: Cohort
        lastSixMonths:
          type: integer
          minimum: 0
          title: Lastsixmonths
        pastYear:
          type: integer
          minimum: 0
          title: Pastyear
        pastTwoYears:
          type: integer
          minimum: 0
          title: Pasttwoyears
        allTime:
          type: integer
          minimum: 0
          title: Alltime
      type: object
      required:
        - cohort
        - lastSixMonths
        - pastYear
        - pastTwoYears
        - allTime
      title: SlashingCohortAnalysis
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````